<?php
	class OperadorController extends OperadorModel {
		private $idTipoOperador;
		private $nome;
		private $genero;
		private $bi;
		private $nomeUsuario;
		private $senha;

		public function __construct($idTipoOperador, $nome, $genero, $bi, $nomeUsuario){
            $this->idTipoOperador = $idTipoOperador;
            $this->nome = $nome;
			$this->genero = $genero;
			$this->bi = $bi;
			$this->nomeUsuario = $nomeUsuario;
		}

		public function eraseOperador($idOperador){
			$this->deleteOperador($idOperador);
			$this->deleteImg($idOperador);
		}

		public function deleteImg($idOperador){
			$img = $this->fotoPerfil($idOperador);
			$nameImg = "../../images/fotoPerfil/" . $img[0]["imagem"];
			$fileInfo = glob($nameImg);
			$fileExt = explode(".", $fileInfo[0]);
			$fileActualExt = $fileExt[5];
			print_r($nameImg);

        	$file = $nameImg;
			unlink($file);
		}

		public function updateUser($idOperador){
			$result = $this->editOperador($idOperador, $this->idTipoOperador, $this->nome, $this->genero, $this->bi, $this->email, $this->nomeUsuario);

			return $result;
		}

		public function createOperador(){
            //$this->checks();
			$result = $this->insertOperador($this->idTipoOperador, $this->nome, $this->genero, $this->bi, $this->email, $this->nomeUsuario);
			return $result;
		}

		public function verifySetTurma($result){
			if($result[0]["idemail"] == 2){
				$turma = $this->readTurma();
				for($i = 0; $i < count($turma); $i++){
					$turmaAluno = "";
					if($turma[$i]["capacidade"] != 0){
						$turmaAluno = $this->setTurmaAluno($turma[$i]["idTurma"], $result[0]["idOperador"]);
						$this->updateTurma($turma[$i]["idTurma"], $turma[$i]["capacidade"]);
						break;
					}
				}
			}
			return $turmaAluno;
		}

		public function updateTurma($idTurma, $capacidade){
			$decremento = $capacidade - 1;
			$result = $this->editTurma($idTurma, $decremento);
			return $result;
		}

		public function setTurmaAluno($idTurma, $idAluno){
			$result = $this->insertTurmaAluno($idTurma, $idAluno);
			return $result;
		}

		public function emptyEntry(){
			if(empty($this->nome)){
				$this->nome = "estudante";
				$result = false;
			} else {
				$this->nome = strtolower(str_replace(" ", "-", $this->nome));
				$result = true;
			}
			return $result;
		}

		public function emptyInput(){
			if(empty($this->nome)){
				$result = false;
			} else {
				$result = true;
			}
			return $result;
		}

	}